<?php
require_once(dirname(__FILE__) . '/../../config.php');

$contextid = required_param('contextid', PARAM_INT);
$time = required_param('time', PARAM_INT);
$id = optional_param('id', null, PARAM_INT);
$audio = optional_param('audio', null, PARAM_INT);
list($context, $course, $cm) = get_context_info_array($contextid);

require_login($course, true, $cm);

if (isguestuser())
{
    die();
}
if($audio != null) //UPLOAD a audio request from ajax
{
   if (!empty($_FILES['userfile']))
    {
       $fs = get_file_storage();
       $files = $fs->get_area_files($contextid, 'nanogong', 'nanogong_source', $time);

       if(!$files)
       {
            $fs = get_file_storage();
            $fileinfo = array('contextid' => $contextid, // ID of context
                'component' => 'nanogong', // usually = table name
                'filearea' => 'nanogong_source', // usually = table name
                'itemid' => $time, // usually = ID of row in table
                'userid' => $USER->id, // usually = ID of row in table
                'mimetype' => 'audio/wav', // usually = ID of row in table
                'filepath' => '/', // any path beginning and ending in /
                'filename' => 'record-' .$COURSE->id); // any filename

            $tmpFile = file_get_contents($_FILES['userfile']['tmp_name']);
            $return = $fs->create_file_from_string($fileinfo, $tmpFile);

            if (!empty($return))
            {
                echo 'success';
            }
            else
            {
                echo 'false';
            }
        }
        else
        {
            echo 'exists';
        }
    }
    else
    {
        echo get_string('uploaderror', 'assignment');
    }
}
?>
