<?php
defined('MOODLE_INTERNAL') || die();
//require_once(dirname(__FILE__) . '/settingslib.php');
require_once(dirname(__FILE__) . '/lib.php');

if ($ADMIN->fulltree)
{
    $options = array('true'=>get_string('yes'),'false'=>get_string('no'));
    
    $settings->add(new admin_setting_configtext('nanogong/maxduration', get_string('maxduration_setting', 'nanogong'), get_string('maxduration_setting_desc', 'nanogong'), 60, PARAM_INT, 100));
    $settings->add(new admin_setting_configtext('nanogong/color', get_string('color_setting', 'nanogong'), get_string('color_setting_desc', 'nanogong'), '#rrggbb', PARAM_RAW, 100));
    
    $settings->add(new admin_setting_configtext('nanogong/speexquality', get_string('speexquality_setting', 'nanogong'), get_string('speexquality_setting_desc', 'nanogong'), 10, PARAM_INT, 100));
    $settings->add(new admin_setting_configtext('nanogong/samplingrate', get_string('samplingrate_setting', 'nanogong'), get_string('samplingrate_setting_desc', 'nanogong'), 44100, PARAM_INT, 100));

    $settings->add(new admin_setting_configselect('nanogong/showspeedbutton', get_string('showspeedbutton_setting', 'nanogong'), get_string('showspeedbutton_setting_desc', 'nanogong'), 'true', $options));
    $settings->add(new admin_setting_configselect('nanogong/showaudiolevel', get_string('showaudiolevel_setting', 'nanogong'), get_string('showaudiolevel_setting_desc', 'nanogong'), 'true', $options));
    $settings->add(new admin_setting_configselect('nanogong/showtime', get_string('showtime_setting', 'nanogong'), get_string('showtime_setting_desc', 'nanogong'), 'true', $options));
    $settings->add(new admin_setting_configselect('nanogong/showsavebutton', get_string('showsavebutton_setting', 'nanogong'), get_string('showsavebutton_setting_desc', 'nanogong'), 'true', $options));
}
?>
